## ros-foxy-pmb2-navigation 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pmb2_navigation)
find_package(ament_cmake_auto REQUIRED)
ament_auto_package()

=== debian/changelog ===
ros-foxy-pmb2-navigation (3.0.1-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Tue, 13 Jul 2021 22:00:00 -0000

ros-foxy-pmb2-navigation (3.0.0-1focal) focal; urgency=high

  * Comment dependencies pending to be migrated to ROS2
  * Migrate pmb2_navigation to ros2
  * Contributors: Victor Lopez

 -- Federico Nardi <federico.nardi@pal-robotics.com>  Sun, 11 Jul 2021 22:00:00 -0000

ros-foxy-pmb2-navigation (2.0.8-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Wed, 29 Jul 2020 22:00:00 -0000

ros-foxy-pmb2-navigation (2.0.7-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Wed, 01 Jul 2020 22:00:00 -0000

ros-foxy-pmb2-navigation (2.0.6-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Wed, 01 Apr 2020 22:00:00 -0000

ros-foxy-pmb2-navigation (2.0.5-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Thu, 21 Nov 2019 23:00:00 -0000

ros-foxy-pmb2-navigation (2.0.4-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Mon, 30 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-navigation (2.0.3-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Sun, 22 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-navigation (2.0.2-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Tue, 17 Sep 2019 22:00:00 -0000

ros-foxy-pmb2-navigation (2.0.1-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Thu, 18 Jul 2019 22:00:00 -0000

ros-foxy-pmb2-navigation (2.0.0-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Sun, 16 Jun 2019 22:00:00 -0000

ros-foxy-pmb2-navigation (1.0.6-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Sun, 19 May 2019 22:00:00 -0000

ros-foxy-pmb2-navigation (1.0.5-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Sun, 05 May 2019 22:00:00 -0000

ros-foxy-pmb2-navigation (1.0.4-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Thu, 21 Mar 2019 23:00:00 -0000

ros-foxy-pmb2-navigation (1.0.3-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Thu, 24 Jan 2019 23:00:00 -0000

ros-foxy-pmb2-navigation (1.0.2-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Wed, 16 Jan 2019 23:00:00 -0000

ros-foxy-pmb2-navigation (1.0.1-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Mon, 14 Jan 2019 23:00:00 -0000

ros-foxy-pmb2-navigation (1.0.0-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-foxy-pmb2-navigation (0.13.17-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-foxy-pmb2-navigation (0.13.16-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Tue, 20 Nov 2018 23:00:00 -0000

ros-foxy-pmb2-navigation (0.13.15-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Fri, 19 Oct 2018 22:00:00 -0000

ros-foxy-pmb2-navigation (0.13.14-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Tue, 02 Oct 2018 22:00:00 -0000

ros-foxy-pmb2-navigation (0.13.13-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Thu, 27 Sep 2018 22:00:00 -0000

ros-foxy-pmb2-navigation (0.13.12-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Tue, 25 Sep 2018 22:00:00 -0000

ros-foxy-pmb2-navigation (0.13.11-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Tue, 25 Sep 2018 22:00:00 -0000

ros-foxy-pmb2-navigation (0.13.10-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Sun, 16 Sep 2018 22:00:00 -0000

ros-foxy-pmb2-navigation (0.13.9-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Thu, 21 Jun 2018 22:00:00 -0000

ros-foxy-pmb2-navigation (0.13.8-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Wed, 16 May 2018 22:00:00 -0000

ros-foxy-pmb2-navigation (0.13.7-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Mon, 14 May 2018 22:00:00 -0000

ros-foxy-pmb2-navigation (0.13.6-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Mon, 23 Apr 2018 22:00:00 -0000

ros-foxy-pmb2-navigation (0.13.5-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Mon, 16 Apr 2018 22:00:00 -0000

ros-foxy-pmb2-navigation (0.13.4-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Wed, 11 Apr 2018 22:00:00 -0000

ros-foxy-pmb2-navigation (0.13.3-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Thu, 05 Apr 2018 22:00:00 -0000

ros-foxy-pmb2-navigation (0.13.2-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Wed, 07 Mar 2018 23:00:00 -0000

ros-foxy-pmb2-navigation (0.13.1-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Wed, 14 Feb 2018 23:00:00 -0000

ros-foxy-pmb2-navigation (0.13.0-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Wed, 31 Jan 2018 23:00:00 -0000

ros-foxy-pmb2-navigation (0.12.0-1focal) focal; urgency=high



 -- Federico Nardi <federico.nardi@pal-robotics.com>  Mon, 16 Oct 2017 22:00:00 -0000

ros-foxy-pmb2-navigation (0.11.10-1focal) focal; urgency=high

  * normalized package.xml for all packages
  * Contributors: Procópio Stein

 -- Federico Nardi <federico.nardi@pal-robotics.com>  Tue, 26 Sep 2017 22:00:00 -0000

ros-foxy-pmb2-navigation (0.11.9-1focal) focal; urgency=high





=== debian/control ===
Source: ros-foxy-pmb2-navigation
Section: misc
Priority: optional
Maintainer: Federico Nardi <federico.nardi@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-auto, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-pmb2-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-pmb2-2dnav, ros-foxy-pmb2-maps, ros-foxy-ros-workspace
Description: PMB2 navigation metapackage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-pmb2-navigation//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
